Candidate revision debhelper 8.0.0ubuntu1

Bug #614787 reported by أحمد المحمودي (Ahmed El-Mahmoudy) on 2010-08-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debhelper (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: debhelper

  * Merge with Debian ; remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.
    - add dh_apparmor and autoscripts

Related branches

Changed in debhelper (Ubuntu):
status: New → Confirmed
Daniel Holbach (dholbach) wrote :

Do you know why the dh_apparmor manpage does not get installed in the new package?

Comparing ./debhelper_7.4.20ubuntu6_all.deb and /var/cache/pbuilder/result/debhelper_8.0.0ubuntu1_all.deb
[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in first .deb but not in second
-------------------------------------
-rw-r--r-- root/root /usr/share/man/es/man1/dh_testversion.1.gz
-rw-r--r-- root/root /usr/share/man/fr/man1/dh.1.gz
-rw-r--r-- root/root /usr/share/man/fr/man1/dh_testversion.1.gz
-rw-r--r-- root/root /usr/share/man/man1/dh_apparmor.1.gz
-rw-r--r-- root/root /usr/share/man/man1/dh_testversion.1.gz
-rwxr-xr-x root/root /usr/bin/dh_testversion

Control files: lines which differ (wdiff format)
------------------------------------------------
Installed-Size: [-1400-] {+1368+}
Version: [-7.4.20ubuntu6-] {+8.0.0ubuntu1+}

That's very awkward, dh_apparmor was installed when I built under lucid.
Also according to your buildlog (http://paste.ubuntu.com/475342/), line
#278, dh_apparmor does indeed get installed. Unfortunately, I still
don't have a maverick chroot yet.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Hello,

  This patch builds the manpage for dh_apparmor, by setting executable bit for dh_apparmor before running dh build

Launchpad Janitor (janitor) wrote :
Download full text (3.6 KiB)

This bug was fixed in the package debhelper - 8.0.0ubuntu1

---------------
debhelper (8.0.0ubuntu1) maverick; urgency=low

  * Merge with Debian (LP: #614787); remaining changes:
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - Add various autoscripts for above: postinst-upstart,
      postinst-upstart-replace, postinst-upstart-restart,
      prerm-upstart, prerm-upstart-norestart, preinst-removeconffile.
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat level
      7. This floods packages with huge upstream changelogs which take
      precious CD space.
    - dh_strip, dh_makeshlibs: use triplet-objdump, triplet-objcopy and
      triplet-strip from cross-binutils when cross-compiling; Debian #412118.
    - add dh_apparmor and autoscripts
  * debian/rules: override build target to set executable bit for dh_apparmor
    before actually running dh build, that is in order to get the manpage
    built for dh_apparmor.

debhelper (8.0.0) unstable; urgency=low

  [ Carsten Hey ]
  * dh_fixperms: Ensure files in /etc/sudoers.d/ are mode 440. Closes: #589574

  [ Joey Hess ]
  * Finalized v8 mode, which is the new recommended default.

debhelper (7.9.3) unstable; urgency=low

  * perl_makemaker: import compat(). Closes: #587654

debhelper (7.9.2) unstable; urgency=low

  * In v8 mode, stop passing packlist=0 in perl_makemaker buildsystem,
    since perl_build is tried first. Avoids the makemaker warning message
    introduced by the fix to #527990.

debhelper (7.9.1) unstable; urgency=low

  * Started work on Debhelper v8. It is still experimental, and more
    changes are planned for that mode.
  * dh_installman: Support .so links relative to the current section.
  * dh_installman: Avoid converting .so links to symlinks if the link
    target is not present in the same binary package, on advice of
    Colin Watson. (To support eventual so search paths.)
  * Add deprecation warning for dh_clean -k.
  * dh_testversion: Removed this deprecated and unused command.
  * debian/compress files are now deprecated. Seems only one package
    (genesis) still uses them.
  * dh_fixperms: Tighten globs used to find library .so files,
    avoiding incorrectly matching things like "foo.sources". Closes: #583328
  * dh_installchangelogs: Support packages placing their changelog in a
    file with a name like HISTORY. Closes: #582749
  * dh_installchangelogs: Also look for changelog files in doc(s)
    subdirectories. Closes: #521258
  * In v8 mode, do not allow directly passing unknown options to debhelper
    commands. (Unknown options in DH_OPTIONS still only result in warnings.)
  * In v8 mode, dh_makeshlibs will run dpkg-gensymbols on all shared
    libraries it generates shlibs files for. This means that -X can be
    used to exclude libraries from processing by dpkg-gensymbols. It also
    means that libraries in unusual locations, where dpkg-gensymbols does
    not itself normally look, will be passed to it, a behavior change which
    may break some packages. Closes: #557603
  * In v8 mode, dh expects the sequence to run is always its fir...

Read more...

Changed in debhelper (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers